@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');



:root {
    box-sizing: border-box;
    color-scheme: light dark;

    --primary-color-000: #000000;
    --primary-color-025: #000a15;
    --primary-color-050: #001221;
    --primary-color-075: #001829;
    --primary-color-100: #001e31;
    --primary-color-125: #002338;
    --primary-color-150: #002840;
    --primary-color-175: #002e48;
    --primary-color-200: #003350;
    --primary-color-225: #003959;
    --primary-color-250: #003f61;
    --primary-color-275: #00456a;
    --primary-color-300: #004b72;
    --primary-color-325: #00517b;
    --primary-color-350: #005784;
    --primary-color-375: #005d8d;
    --primary-color-400: #006496;
    --primary-color-425: #006a9f;
    --primary-color-450: #0070a9;
    --primary-color-475: #0077b2;
    --primary-color-500: #007ebc;
    --primary-color-525: #0084c5;
    --primary-color-550: #008bcf;
    --primary-color-575: #0092d9;
    --primary-color-600: #0098e3;
    --primary-color-625: #009fec;
    --primary-color-650: #00a6f7;
    --primary-color-675: #14adff;
    --primary-color-700: #41b3ff;
    --primary-color-725: #5abaff;
    --primary-color-750: #6ec0ff;
    --primary-color-775: #80c6ff;
    --primary-color-800: #91cdff;
    --primary-color-825: #a1d3ff;
    --primary-color-850: #afd9ff;
    --primary-color-875: #bedfff;
    --primary-color-900: #cce5ff;
    --primary-color-925: #d9ecff;
    --primary-color-950: #e7f2ff;
    --primary-color-975: #f4f8ff;
    --primary-color-1000: #ffffff;
    --grey-000: #000000;
    --grey-025: #07090c;
    --grey-050: #0e1114;
    --grey-075: #14171a;
    --grey-100: #191c1f;
    --grey-125: #1e2124;
    --grey-150: #232629;
    --grey-175: #282b2f;
    --grey-200: #2e3134;
    --grey-225: #333639;
    --grey-250: #393c3f;
    --grey-275: #3e4145;
    --grey-300: #44474a;
    --grey-325: #4a4d50;
    --grey-350: #505356;
    --grey-375: #56595c;
    --grey-400: #5c5f62;
    --grey-425: #626568;
    --grey-450: #686b6e;
    --grey-475: #6e7175;
    --grey-500: #75777b;
    --grey-525: #7b7d81;
    --grey-550: #828488;
    --grey-575: #888a8e;
    --grey-600: #8f9195;
    --grey-625: #95979b;
    --grey-650: #9c9ea2;
    --grey-675: #a2a4a9;
    --grey-700: #a9abaf;
    --grey-725: #b0b2b6;
    --grey-750: #b7b9bd;
    --grey-775: #bec0c4;
    --grey-800: #c5c6cb;
    --grey-825: #cccdd1;
    --grey-850: #d3d4d8;
    --grey-875: #dadbdf;
    --grey-900: #e1e2e7;
    --grey-925: #e8e9ee;
    --grey-950: #eff1f5;
    --grey-975: #f7f8fc;
    --grey-1000: #ffffff;
    --error-color-000: #000000;
    --error-color-025: #1e0000;
    --error-color-050: #2c0100;
    --error-color-075: #370100;
    --error-color-100: #400100;
    --error-color-125: #4a0200;
    --error-color-150: #540200;
    --error-color-175: #5e0300;
    --error-color-200: #680300;
    --error-color-225: #720400;
    --error-color-250: #7c0400;
    --error-color-275: #870500;
    --error-color-300: #920600;
    --error-color-325: #9d0700;
    --error-color-350: #a80800;
    --error-color-375: #b30900;
    --error-color-400: #bf0a00;
    --error-color-425: #ca0c00;
    --error-color-450: #d60d00;
    --error-color-475: #e10e00;
    --error-color-500: #ed0f00;
    --error-color-525: #f91100;
    --error-color-550: #ff2915;
    --error-color-575: #ff432d;
    --error-color-600: #ff553e;
    --error-color-625: #ff644e;
    --error-color-650: #ff725c;
    --error-color-675: #ff7e6a;
    --error-color-700: #ff8a77;
    --error-color-725: #ff9583;
    --error-color-750: #ffa090;
    --error-color-775: #ffaa9c;
    --error-color-800: #ffb4a7;
    --error-color-825: #ffbeb3;
    --error-color-850: #ffc7be;
    --error-color-875: #ffd1c9;
    --error-color-900: #ffdad4;
    --error-color-925: #ffe4df;
    --error-color-950: #ffedea;
    --error-color-975: #fff6f4;
    --error-color-1000: #ffffff;
    --warning-color-000: #000000;
    --warning-color-025: #130600;
    --warning-color-050: #1f0c00;
    --warning-color-075: #271100;
    --warning-color-100: #2e1500;
    --warning-color-125: #351a00;
    --warning-color-150: #3d1e00;
    --warning-color-175: #442200;
    --warning-color-200: #4c2700;
    --warning-color-225: #542c00;
    --warning-color-250: #5c3000;
    --warning-color-275: #643500;
    --warning-color-300: #6c3a00;
    --warning-color-325: #753f00;
    --warning-color-350: #7d4400;
    --warning-color-375: #864900;
    --warning-color-400: #8f4e00;
    --warning-color-425: #975300;
    --warning-color-450: #a05800;
    --warning-color-475: #a95e00;
    --warning-color-500: #b26300;
    --warning-color-525: #bb6800;
    --warning-color-550: #c56e00;
    --warning-color-575: #ce7300;
    --warning-color-600: #d87900;
    --warning-color-625: #e17e00;
    --warning-color-650: #eb8400;
    --warning-color-675: #f48900;
    --warning-color-700: #fe8f00;
    --warning-color-725: #ff9931;
    --warning-color-750: #ffa44e;
    --warning-color-775: #ffae65;
    --warning-color-800: #ffb779;
    --warning-color-825: #ffc18d;
    --warning-color-850: #ffca9f;
    --warning-color-875: #ffd3b0;
    --warning-color-900: #ffdcc1;
    --warning-color-925: #ffe5d2;
    --warning-color-950: #ffeee2;
    --warning-color-975: #fff6f2;
    --warning-color-1000: #ffffff;
    --success-color-000: #000000;
    --success-color-025: #000c01;
    --success-color-050: #001501;
    --success-color-075: #001c02;
    --success-color-100: #002203;
    --success-color-125: #002704;
    --success-color-150: #002d05;
    --success-color-175: #003306;
    --success-color-200: #003908;
    --success-color-225: #004009;
    --success-color-250: #00460b;
    --success-color-275: #004d0d;
    --success-color-300: #00530f;
    --success-color-325: #005a11;
    --success-color-350: #006013;
    --success-color-375: #006715;
    --success-color-400: #006e17;
    --success-color-425: #00751a;
    --success-color-450: #007c1c;
    --success-color-475: #00831e;
    --success-color-500: #008a20;
    --success-color-525: #009222;
    --success-color-550: #009925;
    --success-color-575: #00a027;
    --success-color-600: #00a829;
    --success-color-625: #00af2c;
    --success-color-650: #00b72e;
    --success-color-675: #00bf30;
    --success-color-700: #00c633;
    --success-color-725: #00ce35;
    --success-color-750: #00d637;
    --success-color-775: #00de3a;
    --success-color-800: #00e63c;
    --success-color-825: #00ee3f;
    --success-color-850: #00f641;
    --success-color-875: #00fe44;
    --success-color-900: #72ff72;
    --success-color-925: #a4ff9b;
    --success-color-950: #c9ffbe;
    --success-color-975: #e6ffde;
    --success-color-1000: #ffffff;



    --background-default: light-dark(var(--grey-975), var(--grey-025));
    --background-default--hover: light-dark(var(--grey-875), var(--grey-125));
    --background-default--active:  light-dark(var(--grey-775), var(--grey-225));

    --background-action-primary:  light-dark(var(--primary-color-450), var(--primary-color-550));
    --background-action-primary--hover:  light-dark(var(--primary-color-350), var(--primary-color-650));
    --background-action-primary--active:  light-dark(var(--primary-color-250), var(--primary-color-750));
    --background-action-error:  light-dark(var(--error-color-450), var(--error-color-550));
    --background-action-error--hover:  light-dark(var(--error-color-350), var(--error-color-650));
    --background-action-error--active:  light-dark(var(--error-color-250), var(--error-color-750));
    --background-action-warning:  light-dark(var(--warning-color-450), var(--warning-color-550));
    --background-action-warning--hover:  light-dark(var(--warning-color-350), var(--warning-color-650));
    --background-action-warning--active:  light-dark(var(--warning-color-250), var(--warning-color-750));
    --background-action-success:  light-dark(var(--success-color-450), var(--success-color-550));
    --background-action-success--hover:  light-dark(var(--success-color-350), var(--success-color-650));
    --background-action-success--active:  light-dark(var(--success-color-250), var(--success-color-750));


    --background-low-primary:  light-dark(var(--primary-color-900), var(--primary-color-100));


    --text-default:  light-dark(var(--grey-200), var(--grey-800));
    --text-inverted-default:  light-dark(var(--grey-950), var(--grey-050));
    --text-error: light-dark(var(--error-color-450), var(--error-color-550));
    --text-warning: light-dark(var(--warning-color-450), var(--warning-color-550));
    --text-success: light-dark(var(--success-color-450), var(--success-color-550));

    --border-color-default:  light-dark(var(--grey-300), var(--grey-700));
    --border-color-error:  light-dark(var(--error-color-450), var(--error-color-550));
    --border-color-warning:  light-dark(var(--warning-color-450), var(--warning-color-550));
    --border-color-success:  light-dark(var(--success-color-450), var(--success-color-550));

    --text-action-primary:  light-dark(var(--primary-color-450), var(--primary-color-550));
    --border-color-primary:  light-dark(var(--primary-color-450), var(--primary-color-550));

    --background-disabled-grey:  light-dark(var(--grey-800), var(--grey-200));
    --text-disabled-grey:  light-dark(var(--grey-500), var(--grey-500));
    --border-disabled-grey:  light-dark(var(--grey-500), var(--grey-500));


    /** GLOBAL **/
    --transition-time: .5s;
    --border-radius: 0.25rem;
    --border-width: 0.125rem;

    --outline-offset: .2rem;
    --outline-color: hsl(219, 98%, 50%);
    --outline-style: solid;
    --outline-width: .125rem;

    /** BREAKPOINTS **/
    /** tn: tiny < 240px/15rem **/
    /** gs : giga-small > 240px/15rem **/
    --breakpoint-gs: 15rem;
    /** us : ultra-small > 360px/22.5rem **/
    --breakpoint-us: 22.5rem;
    /** xs : extra-small > 480px/30rem **/
    --breakpoint-xs: 30rem;
    /** sm : small > 576px/36rem **/
    --breakpoint-sm: 36rem;
    /** md : medium > 768px/48rem **/
    --breakpoint-md: 48rem;
    /** lg : large > 992px/62rem **/
    --breakpoint-lg: 62rem;
    /** xl : extra-large > 1200px/75rem **/
    --breakpoint-xl: 75rem;
    /** ul : ultra-large > 1440px/90rem **/
    --breakpoint-ul: 90rem;
    /** gl : giga-large > 1920px/120rem **/
    --breakpoint-gl: 120rem;
}

body {
    font-family: Roboto;
    background: var(--background-default);
    color: var(--text-default);
}

button:focus-visible, input:focus-visible, select:focus-visible
{
    outline-offset: var(--outline-offset);
    outline: var(--outline-color) var(--outline-style) var(--outline-width);
}

p, h1, h2, h3, h4, h5 {
    margin: 0;
}